Bug 25934 - AIC-7xxx woes - Module parameters to use unclear
AIC-7xxx woes - Module parameters to use unclear
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
Brock Organ
Florence RC-1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-03 19:42 EST by R P Herrold
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-08 15:30:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2001-02-03 19:42:55 EST
Host is a HP  NetServer 4/66 LM -- it has an onboard Adaptec controller,
which under RH 7.0 installed and runs fine, and auto-detects the parameters
for the AIC-7xxx module.

( In viewing the running system, they are irq 11, iobase=0x9c00 )

--------------------------------

Made and verified the boot.img and drivers.img on floppy.

Started with the linux dd parameter

Answered the "Do you have a driver disk?" affirmatively

Tried NO parameters, irq=11, io=0x9c00, ipbase=0x9c00, and "irq=11 
io=0x9c00"

no joy ...
===============================
This may be a variant of "Henri J. Schlereth" <henris@bga.com> 's bug ...
Comment 1 R P Herrold 2001-02-03 21:23:36 EST
This is a similar but not identical case to 25832
Comment 2 R P Herrold 2001-02-03 21:25:52 EST
My architecture is EISA 486 -- no PCI bus present; SCSI HD's, SCSI CD-ROM
Comment 3 Glen Foster 2001-02-05 17:57:35 EST
This defect is considered MUST-FIX for Florence Release-Candidate #1
Comment 4 Michael Fulbright 2001-02-06 11:36:43 EST
I don't think we've ever supported EISA - assigning to an engineer.
Comment 5 R P Herrold 2001-02-06 12:02:57 EST
Don't get distracted by EISA -- no cards, except the NIC, are
in this host -- and it is plain old ISA generic NIC -- prob a SMC-
Ultra - I am away from the office --

The controller isembedded on the motherboard, as is the video ...
Comment 6 Erik Troan 2001-02-06 12:16:10 EST
We're going to revert to the old aic driver, so this should get better.
Comment 7 Erik Troan 2001-02-08 15:30:24 EST
We reverted this driver, so the problems should go away. Please confirm in the
next CD we send.
Comment 8 R P Herrold 2001-02-11 23:18:07 EST
Cool ...
 
7. The new Adaptec supplied drivers segfaulted the kernel
during the aic7xxx module load ...
 
This moot for the present -- updated bug   25934 to reflect
addional hardware not supported by these drivers
 
Hardware:
 
HP Netserver 5/100 LH -- Pent, 192M, PCI 3c905B nic, onboard
Adaptec AIC-7850 controller pair at rev 1.19S6; all SCSI
drives; Texel DM-xx24 K scsi CD-ROM drive (tray type) -- 
NIC is PCI 3com ... still no eisa hardware
Comment 9 R P Herrold 2001-02-12 15:29:51 EST
From testers list today:

Date: Mon, 12 Feb 2001 10:37:00 -0700
From: Justin T. Gibbs <gibbs@btc.adaptec.com>
To: testers-list@redhat.com
Subject: [testers] Re: fisher install problem with aic78xx module
 
>Hi folks!  I tried to install the fisher beta on my home machine last
>night, but didn't make it very far.
 
I'm not positive as I haven't installed fisher yet, but I believe
it inludes 6.0.8BETA of the aic7xxx driver.  That version had various
issues with the aic7895 as well as the 2.4.1 new error recovery code.
Version 6.1.1 of the driver is now available as source patches against
2.4.1 and includes the necessary changes to the new SCSI exception handling
code to deal with aborts.  It also corrects all known issues with the
aic7895.                     
---------------------------------

If/When the Adaptec code resurfaces, we'll see ...
-- Russ
Comment 10 R P Herrold 2001-02-12 15:32:46 EST
My Netserver 4/66 reports that it is a pair of

Apaptec-7770, v 2.11 S3 ... controllers
Comment 11 R P Herrold 2001-03-01 21:00:21 EST
Fallback to 7.1RC1 -- drivers working fine -- Thanks

Note You need to log in before you can comment on or make changes to this bug.